## ros-indigo-dbw-mkz-twist-controller 1.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(dbw_mkz_twist_controller)

find_package(catkin REQUIRED COMPONENTS
  roscpp
  std_msgs
  geometry_msgs
  sensor_msgs
  dbw_mkz_msgs
  dynamic_reconfigure
)

generate_dynamic_reconfigure_options(
  cfg/Controller.cfg
  cfg/TwistTest.cfg
)

catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(twist_controller src/twist_controller_node.cpp src/TwistControllerNode.cpp)
add_dependencies(twist_controller ${catkin_EXPORTED_TARGETS})
add_dependencies(twist_controller ${PROJECT_NAME}_gencfg)
target_link_libraries(twist_controller
  ${catkin_LIBRARIES}
)

add_executable(twist_tester src/twist_tester.cpp)
add_dependencies(twist_tester ${catkin_EXPORTED_TARGETS})
add_dependencies(twist_tester ${PROJECT_NAME}_gencfg)
target_link_libraries(twist_tester
  ${catkin_LIBRARIES}
)

install(TARGETS twist_controller twist_tester
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-dbw-mkz-twist-controller (1.1.1-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 01 Mar 2019 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.1.0-0trusty) trusty; urgency=high

  * Deprecated the dbw_mkz_twist_controller package
  * Use the ${catkin_EXPORTED_TARGETS} macro for target dependencies
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Fri, 30 Nov 2018 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.17-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Sat, 27 Oct 2018 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.16-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 29 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.15-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 21 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.14-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 20 Aug 2018 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.13-0trusty) trusty; urgency=high

  * Fixed compile error on ROS Melodic and Ubuntu Bionic
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 06 Jun 2018 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.12-0trusty) trusty; urgency=high

  * Modifications to improve yaw rate tracking at low speeds
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 30 Jan 2018 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.11-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 19 Oct 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.10-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 03 Oct 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.9-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 19 Sep 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.8-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 07 Sep 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.7-0trusty) trusty; urgency=high

  * Updated ackermann steering parameters (including steering ratio)
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 21 Aug 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.6-0trusty) trusty; urgency=high

  * Removed yaw rate control on speed, this also disables the lateral acceleration limit for now
  * Updated wheel radius with measured value
  * Contributors: Kevin Hallenbeck

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 21 Jun 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.5-0trusty) trusty; urgency=high

  * Updated package.xml format to version 2
  * Add missing msg dependencies
  * Contributors: Kevin Hallenbeck, P. J. Reed

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 25 Apr 2017 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.4-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Tue, 06 Dec 2016 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.3-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Thu, 17 Nov 2016 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.2-0trusty) trusty; urgency=high

  * Twist tester option for yaw rate or radius for steering
  * Cleanup of twist controller dynamic reconfigure
  * Removed tf dependency for dbw_mkz_twist_controller
  * Configurable steering ratio
  * Contributors: Kevin Hallenbeck <mailto:khallenbeck@dataspeedinc.com>

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 07 Nov 2016 05:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.1-0trusty) trusty; urgency=high



 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Mon, 10 Oct 2016 04:00:00 -0000

ros-indigo-dbw-mkz-twist-controller (1.0.0-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Kevin Hallenbeck, Micho Radovnikovich

 -- Micho Radovnikovich <mradovnikovich@dataspeedinc.com>  Wed, 28 Sep 2016 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-dbw-mkz-twist-controller
Section: misc
Priority: extra
Maintainer: Micho Radovnikovich <mradovnikovich@dataspeedinc.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dbw-mkz-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: http://dataspeedinc.com
Standards-Version: 3.9.2

Package: ros-indigo-dbw-mkz-twist-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dbw-mkz-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Twist (speed and angular rate) controller for brake/throttle/steering

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-dbw-mkz-twist-controller//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
